# Gpt 4o Transcribe

## gpt-4o-transcribe

> Speech-to-text model powered by GPT-4o<br>

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"gpt-4o-transcribe"}],"servers":[{"url":"https://audio.onerouter.pro/v1","description":"audio"}],"security":[],"paths":{"/audio/transcriptions":{"post":{"summary":"gpt-4o-transcribe","deprecated":false,"description":"Speech-to-text model powered by GPT-4o\n","tags":["gpt-4o-transcribe"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"file":{"type":"string","format":"binary","description":"The audio file object (not file name) translate, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm."},"chunking_strategy":{"type":"string","default":"auto","description":"Controls how the audio is cut into chunks. When set to `\"auto\"`, the server first normalizes loudness and then uses voice activity detection (VAD) to choose boundaries. `server_vad` object can be provided to tweak VAD detection parameters manually. If unset, the audio is transcribed as a single block."},"include":{"type":"array","items":{"type":"string"},"description":"Additional information to include in the transcription response. `logprobs` will return the log probabilities of the tokens in the response to understand the model's confidence in the transcription. `logprobs` only works with response_format set to `json`."},"known_speaker_names":{"type":"array","items":{"type":"string"},"description":"Optional list of speaker names that correspond to the audio samples provided in `known_speaker_references[]`. Each entry should be a short identifier (for example `customer` or` agent`). Up to 4 speakers are supported."},"known_speaker_references":{"type":"array","items":{"type":"string"},"description":"Optional list of audio samples (as data URLs) that contain known speaker references matching `known_speaker_names[]`. Each sample must be between 2 and 10 seconds, and can use any of the same input audio formats supported by `file`."},"language":{"type":"string","description":"The language of the input audio. Supplying the input language in ISO-639-1 (e.g. en) format will improve accuracy and latency."},"prompt":{"description":"An optional text to guide the model's style or continue a previous audio segment. The prompt should match the audio language. ","type":"string"},"response_format":{"type":"string","enum":["json","text","srt","verbose_json","vtt","diarized_json"],"default":"json","description":"The format of the output, in one of these options: `json`, `text`, `srt`, `verbose_json`, `vtt`, or `diarized_json`."},"temperature":{"type":"number","default":0,"minimum":0,"maximum":1,"description":"The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit."}},"required":["model","file"]}}}},"responses":{"200":{"description":"The audio file content.","content":{"application/json":{"schema":{"type":"object","properties":{"text":{"type":"string"}},"required":["text"]}}},"headers":{}}}}}}}
```
